Bug 130595 - [CSSRegions] Fixed positioned elements in named flows have fragmented content
Summary: [CSSRegions] Fixed positioned elements in named flows have fragmented content
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mihnea Ovidenie
URL:
Keywords:
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2014-03-21 08:45 PDT by Mihnea Ovidenie
Modified: 2014-04-08 01:13 PDT (History)
5 users (show)

See Also:


Attachments
Test case (1.15 KB, text/html)
2014-03-21 08:46 PDT, Mihnea Ovidenie
no flags Details
Patch (5.15 KB, patch)
2014-04-07 10:40 PDT, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff
Patch for landing (5.57 KB, patch)
2014-04-08 00:35 PDT, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihnea Ovidenie 2014-03-21 08:45:31 PDT
As showed in the attached test case, a fixed positioned element collected in a named flow attempts to fragment its content in regions, like regular named flow content, despite of them being positioned by the view.
Comment 1 Mihnea Ovidenie 2014-03-21 08:46:44 PDT
Created attachment 227438 [details]
Test case
Comment 2 Mihnea Ovidenie 2014-04-07 10:40:36 PDT
Created attachment 228744 [details]
Patch
Comment 3 Darin Adler 2014-04-07 23:25:27 PDT
Comment on attachment 228744 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=228744&action=review

> Source/WebCore/rendering/RenderBox.cpp:4444
> +    || hasUnsplittableScrollingOverflow()
> +    || (parent() && isWritingModeRoot())
> +    || isRenderNamedFlowFragmentContainer()
> +    || fixedPositionedWithNamedFlowContainingBlock();

These should be indented 4 spaces.
Comment 4 Mihnea Ovidenie 2014-04-08 00:35:53 PDT
Created attachment 228817 [details]
Patch for landing
Comment 5 WebKit Commit Bot 2014-04-08 01:13:37 PDT
Comment on attachment 228817 [details]
Patch for landing

Clearing flags on attachment: 228817

Committed r166918: <http://trac.webkit.org/changeset/166918>
Comment 6 WebKit Commit Bot 2014-04-08 01:13:41 PDT
All reviewed patches have been landed.  Closing bug.